<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <InstanceOfName>FB_PreMain</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input" />
  <Section Name="Output" />
  <Section Name="InOut">
    <Member Name="stInOutControlUnitCabinetOF1" Datatype="&quot;UDT_MainState&quot;" />
    <Member Name="stInOutControlUnitCabinetOF2" Datatype="&quot;UDT_MainState&quot;" />
  </Section>
  <Section Name="Static">
    <Member Name="xAllMainContactorsOk" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xAllReadyToStartOF1" Datatype="Bool" />
    <Member Name="xAllReadyToStartOF2" Datatype="Bool" />
    <Member Name="xQuitNec" Datatype="Bool" />
    <Member Name="fbStateMainOF1" Datatype="&quot;FB_StateMain&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbStateMainOF2" Datatype="&quot;FB_StateMain&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMotorProtectionUH01" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMotorProtectionUC011" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMotorProtectionUC0110" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMotorProtectionUC0111" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonPhaseFailure" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFuse24VUH01" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFuse24VUC011" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFuse400VUH01" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFuse400VUC011" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonPressureUH01" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonPressureUC011" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMainContactorsUH01" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMainContactorsUC0110" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMainContactorsUC0111" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonMainContactorsUC011" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonSafetyContactorsExternReserve" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonSafetyContactorsExternUC061" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFAS" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFPG_Open" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFPG_Fault" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonFPG_Fire" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonRFID" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonTiltTeachBoom1" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonTiltTeachBoom2" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonDistanceFootTeachBoom1" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonDistanceFootTeachBoom2" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="fbMonCommFortnaWCS" Datatype="&quot;FB_Monitoring&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="arESTOPAck" Datatype="Array[0..15] of &quot;FB_ESTOPhandling&quot;" />
    <Member Name="tOnClarificationTime" Datatype="TON_TIME" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="Test" Datatype="String" />
    <Member Name="Result" Datatype="&quot;UDT_Payload_GOHDRespM&quot;" />
    <Member Name="xStart" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="LStream_JsonDeserializer_Instance" Datatype="&quot;LStream_JsonDeserializer&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="typeElement" Datatype="Array[0..10] of &quot;LStream_typeElement&quot;">
      <Sections>
        <Section Name="None">
          <Member Name="type" Datatype="SInt">
            <Subelement Path="3">
              <StartValue>0</StartValue>
            </Subelement>
          </Member>
          <Member Name="depth" Datatype="SInt">
            <Subelement Path="3">
              <StartValue>4</StartValue>
            </Subelement>
          </Member>
        </Section>
      </Sections>
    </Member>
    <Member Name="Static_1" Datatype="Array[0..1023] of Byte" />
    <Member Name="cnt" Datatype="UInt" />
    <Member Name="xReInit" Datatype="Bool" />
    <Member Name="fTrigReIntTime" Datatype="F_TRIG" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="tOfReIntTime" Datatype="TOF_TIME" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>fbPreMain_DB</Name>
      <Namespace />
      <Number>16</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>